Skip to content
Snippets Groups Projects
configure 658 KiB
Newer Older
  • Learn to ignore specific revisions
  •   case "${enableval}" in
    
        yes) intel=true ;;
        no)  intel=false ;;
    
        *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-intel" >&5
    echo "$as_me: error: bad value ${enableval} for --enable-intel" >&2;}
    
       { (exit 1); exit 1; }; } ;;
      esac
    else
      intel=false
    
    
    
    if test $intel = true; then
    
      AMDIS_INTEL_TRUE=
      AMDIS_INTEL_FALSE='#'
    else
      AMDIS_INTEL_TRUE='#'
      AMDIS_INTEL_FALSE=
    fi
    
    
    
    # Check whether --enable-openmp or --disable-openmp was given.
    
    if test "${enable_openmp+set}" = set; then
    
      enableval="$enable_openmp"
      case "${enableval}" in
    
        yes) openmp=true ;;
        no)  openmp=false ;;
    
        *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-openmp" >&5
    echo "$as_me: error: bad value ${enableval} for --enable-openmp" >&2;}
    
       { (exit 1); exit 1; }; } ;;
      esac
    else
      openmp=false
    
    if test $openmp = true; then
    
      AMDIS_OPENMP_TRUE=
      AMDIS_OPENMP_FALSE='#'
    else
      AMDIS_OPENMP_TRUE='#'
      AMDIS_OPENMP_FALSE=
    fi
    
    
    if test $openmp = true ; then
      if test $intel = true ; then
        OPENMP_FLAG=-openmp
    
      else
        OPENMP_FLAG=-fopenmp
    
      fi
    else
      OPENMP_FLAG=
    
    fi
    
    
    
    # Check whether --with-mpi or --without-mpi was given.
    
    if test "${with_mpi+set}" = set; then
    
      withval="$with_mpi"
      mpidir=$withval
    
    MPI_DIR=$mpidir
    
    if test $mpidir != no ; then
      CXX=$mpidir/bin/mpiCC
    
      CC=$mpidir/bin/mpicc
    
    fi
    
    
    # Check whether --enable-marmot or --disable-marmot was given.
    if test "${enable_marmot+set}" = set; then
      enableval="$enable_marmot"
      case "${enableval}" in
        yes) marmot=true ;;
        no)  marmot=false ;;
        *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-marmot" >&5
    echo "$as_me: error: bad value ${enableval} for --enable-marmot" >&2;}
       { (exit 1); exit 1; }; } ;;
      esac
    else
      marmot=false
    fi;
    if test $marmot != false ; then
      CXX=marmotcxx
    
      CC=marmotcc
    
    fi
    
    
    # Check whether --with-petsc or --without-petsc was given.
    
    if test "${with_petsc+set}" = set; then
    
      withval="$with_petsc"
      petscdir=$withval
    
    # Check whether --enable-parmetis or --disable-parmetis was given.
    
    if test "${enable_parmetis+set}" = set; then
    
      enableval="$enable_parmetis"
      case "${enableval}" in
    
        yes) parmetis=true ;;
        no)  parmetis=false ;;
    
        *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-parmetis" >&5
    echo "$as_me: error: bad value ${enableval} for --enable-parmetis" >&2;}
    
       { (exit 1); exit 1; }; } ;;
      esac
    else
      parmetis=false
    
    if test $parmetis = true; then
    
      USE_PARALLEL_AMDIS_TRUE=
      USE_PARALLEL_AMDIS_FALSE='#'
    else
      USE_PARALLEL_AMDIS_TRUE='#'
      USE_PARALLEL_AMDIS_FALSE=
    fi
    
    
    
    # Check whether --enable-parallel-domain or --disable-parallel-domain was given.
    
    if test "${enable_parallel_domain+set}" = set; then
    
      enableval="$enable_parallel_domain"
      case "${enableval}" in
    
        yes) paralleldomain=true ;;
        no)  paralleldomain=false ;;
    
        *) { { echo "$as_me:$LINENO: error: bad value${enableval} for --enable-parallel-domain" >&5
    echo "$as_me: error: bad value${enableval} for --enable-parallel-domain" >&2;}
    
       { (exit 1); exit 1; }; } ;;
      esac
    else
      paralleldomain=false
    
    if test $paralleldomain = true; then
    
      USE_PARALLEL_DOMAIN_AMDIS_TRUE=
      USE_PARALLEL_DOMAIN_AMDIS_FALSE='#'
    else
      USE_PARALLEL_DOMAIN_AMDIS_TRUE='#'
      USE_PARALLEL_DOMAIN_AMDIS_FALSE=
    fi
    
    
    
    # Check whether --enable-umfpack or --disable-umfpack was given.
    
    if test "${enable_umfpack+set}" = set; then
    
      enableval="$enable_umfpack"
      case "${enableval}" in
    
        yes) umfpack=true ;;
        no)  umfpack=false ;;
    
        *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-umfpack" >&5
    echo "$as_me: error: bad value ${enableval} for --enable-umfpack" >&2;}
    
       { (exit 1); exit 1; }; } ;;
      esac
    else
      umfpack=false
    
    if test $umfpack = true; then
    
      ENABLE_UMFPACK_TRUE=
      ENABLE_UMFPACK_FALSE='#'
    else
      ENABLE_UMFPACK_TRUE='#'
      ENABLE_UMFPACK_FALSE=
    fi
    
    
    
    # Check whether --enable-mkl or --disable-mkl was given.
    
    if test "${enable_mkl+set}" = set; then
    
      enableval="$enable_mkl"
      case "${enableval}" in
    
        yes) mkl=true ;;
        no)  mkl=false ;;
    
        *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-mkl" >&5
    echo "$as_me: error: bad value ${enableval} for --enable-mkl" >&2;}
    
       { (exit 1); exit 1; }; } ;;
      esac
    else
      mkl=false
    
    if test $mkl = true; then
    
      ENABLE_MKL_TRUE=
      ENABLE_MKL_FALSE='#'
    else
      ENABLE_MKL_TRUE='#'
      ENABLE_MKL_FALSE=
    fi
    
    
    
    # Check whether --with-dune or --without-dune was given.
    
    if test "${with_dune+set}" = set; then
    
      withval="$with_dune"
      dunedir=$withval
    
    else
      dunedir=no
    
    
    
    if test $dunedir != no; then
    
      ENABLE_DUNE_TRUE=
      ENABLE_DUNE_FALSE='#'
    else
      ENABLE_DUNE_TRUE='#'
      ENABLE_DUNE_FALSE=
    fi
    
    
    
    # Check whether --enable-boost or --disable-boost was given.
    
    if test "${enable_boost+set}" = set; then
    
      enableval="$enable_boost"
      case "${enableval}" in
    
        yes) boost=true ;;
        no)  boost=false ;;
    
        *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-boost" >&5
    echo "$as_me: error: bad value ${enableval} for --enable-boost" >&2;}
    
       { (exit 1); exit 1; }; } ;;
      esac
    else
      boost=false
    
    if test $boost = true; then
    
      ENABLE_BOOST_TRUE=
      ENABLE_BOOST_FALSE='#'
    else
      ENABLE_BOOST_TRUE='#'
      ENABLE_BOOST_FALSE=
    fi
    
    
    
    
    ac_ext=c
    ac_cpp='$CPP $CPPFLAGS'
    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    ac_compiler_gnu=$ac_cv_c_compiler_gnu
    if test -n "$ac_tool_prefix"; then
      # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
    set dummy ${ac_tool_prefix}gcc; ac_word=$2
    
    echo "$as_me:$LINENO: checking for $ac_word" >&5
    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    
    if test "${ac_cv_prog_CC+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
    else
      if test -n "$CC"; then
      ac_cv_prog_CC="$CC" # Let the user override the test.
    else
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      for ac_exec_ext in '' $ac_executable_extensions; do
    
      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    
        ac_cv_prog_CC="${ac_tool_prefix}gcc"
    
        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    
        break 2
      fi
    done
    done
    
    fi
    fi
    CC=$ac_cv_prog_CC
    if test -n "$CC"; then
    
      echo "$as_me:$LINENO: result: $CC" >&5
    echo "${ECHO_T}$CC" >&6
    
      echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6
    
    fi
    
    fi
    if test -z "$ac_cv_prog_CC"; then
      ac_ct_CC=$CC
      # Extract the first word of "gcc", so it can be a program name with args.
    set dummy gcc; ac_word=$2
    
    echo "$as_me:$LINENO: checking for $ac_word" >&5
    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    
    if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
    else
      if test -n "$ac_ct_CC"; then
      ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
    else
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      for ac_exec_ext in '' $ac_executable_extensions; do
    
      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    
        ac_cv_prog_ac_ct_CC="gcc"
    
        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    
        break 2
      fi
    done
    done
    
    fi
    fi
    ac_ct_CC=$ac_cv_prog_ac_ct_CC
    if test -n "$ac_ct_CC"; then
    
      echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
    echo "${ECHO_T}$ac_ct_CC" >&6
    
      echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6
    
    else
      CC="$ac_cv_prog_CC"
    fi
    
    if test -z "$CC"; then
    
      if test -n "$ac_tool_prefix"; then
      # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
    
    set dummy ${ac_tool_prefix}cc; ac_word=$2
    
    echo "$as_me:$LINENO: checking for $ac_word" >&5
    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    
    if test "${ac_cv_prog_CC+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
    else
      if test -n "$CC"; then
      ac_cv_prog_CC="$CC" # Let the user override the test.
    else
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      for ac_exec_ext in '' $ac_executable_extensions; do
    
      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    
        ac_cv_prog_CC="${ac_tool_prefix}cc"
    
        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    
        break 2
      fi
    done
    done
    
    fi
    fi
    CC=$ac_cv_prog_CC
    if test -n "$CC"; then
    
      echo "$as_me:$LINENO: result: $CC" >&5
    echo "${ECHO_T}$CC" >&6
    
      echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6
    
    fi
    if test -z "$ac_cv_prog_CC"; then
      ac_ct_CC=$CC
      # Extract the first word of "cc", so it can be a program name with args.
    set dummy cc; ac_word=$2
    echo "$as_me:$LINENO: checking for $ac_word" >&5
    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
      echo $ECHO_N "(cached) $ECHO_C" >&6
    else
      if test -n "$ac_ct_CC"; then
      ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
    else
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      for ac_exec_ext in '' $ac_executable_extensions; do
      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
        ac_cv_prog_ac_ct_CC="cc"
        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
        break 2
    
    done
    done
    
    fi
    fi
    ac_ct_CC=$ac_cv_prog_ac_ct_CC
    if test -n "$ac_ct_CC"; then
      echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
    echo "${ECHO_T}$ac_ct_CC" >&6
    else
      echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6
    fi
    
      CC=$ac_ct_CC
    else
      CC="$ac_cv_prog_CC"
    fi
    
    
    fi
    if test -z "$CC"; then
      # Extract the first word of "cc", so it can be a program name with args.
    set dummy cc; ac_word=$2
    
    echo "$as_me:$LINENO: checking for $ac_word" >&5
    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    
    if test "${ac_cv_prog_CC+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
    else
      if test -n "$CC"; then
      ac_cv_prog_CC="$CC" # Let the user override the test.
    else
      ac_prog_rejected=no
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      for ac_exec_ext in '' $ac_executable_extensions; do
    
      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    
        if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
           ac_prog_rejected=yes
           continue
         fi
        ac_cv_prog_CC="cc"
    
        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    
        break 2
      fi
    done
    done
    
    if test $ac_prog_rejected = yes; then
      # We found a bogon in the path, so make sure we never use it.
      set dummy $ac_cv_prog_CC
      shift
      if test $# != 0; then
        # We chose a different compiler from the bogus one.
        # However, it has the same basename, so the bogon will be chosen
        # first if we set CC to just the basename; use the full file name.
        shift
        ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
      fi
    fi
    fi
    fi
    CC=$ac_cv_prog_CC
    if test -n "$CC"; then
    
      echo "$as_me:$LINENO: result: $CC" >&5
    echo "${ECHO_T}$CC" >&6
    
      echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6
    
    fi
    
    fi
    if test -z "$CC"; then
      if test -n "$ac_tool_prefix"; then
    
      for ac_prog in cl
    
      do
        # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
    set dummy $ac_tool_prefix$ac_prog; ac_word=$2
    
    echo "$as_me:$LINENO: checking for $ac_word" >&5
    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    
    if test "${ac_cv_prog_CC+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
    else
      if test -n "$CC"; then
      ac_cv_prog_CC="$CC" # Let the user override the test.
    else
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      for ac_exec_ext in '' $ac_executable_extensions; do
    
      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    
        ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
    
        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    
        break 2
      fi
    done
    done
    
    fi
    fi
    CC=$ac_cv_prog_CC
    if test -n "$CC"; then
    
      echo "$as_me:$LINENO: result: $CC" >&5
    echo "${ECHO_T}$CC" >&6
    
      echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6
    
    fi
    
        test -n "$CC" && break
      done
    fi
    if test -z "$CC"; then
      ac_ct_CC=$CC
    
      for ac_prog in cl
    
    do
      # Extract the first word of "$ac_prog", so it can be a program name with args.
    set dummy $ac_prog; ac_word=$2
    
    echo "$as_me:$LINENO: checking for $ac_word" >&5
    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    
    if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
    else
      if test -n "$ac_ct_CC"; then
      ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
    else
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    for as_dir in $PATH
    do
      IFS=$as_save_IFS
      test -z "$as_dir" && as_dir=.
      for ac_exec_ext in '' $ac_executable_extensions; do
    
      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    
        ac_cv_prog_ac_ct_CC="$ac_prog"
    
        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    
        break 2
      fi
    done
    done
    
    fi
    fi
    ac_ct_CC=$ac_cv_prog_ac_ct_CC
    if test -n "$ac_ct_CC"; then
    
      echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
    echo "${ECHO_T}$ac_ct_CC" >&6
    
      echo "$as_me:$LINENO: result: no" >&5
    echo "${ECHO_T}no" >&6
    
    test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
    
    See \`config.log' for more details." >&5
    
    echo "$as_me: error: no acceptable C compiler found in \$PATH
    
    See \`config.log' for more details." >&2;}
    
       { (exit 1); exit 1; }; }
    
    
    # Provide some information about the compiler.
    
    echo "$as_me:$LINENO:" \
         "checking for C compiler version" >&5
    ac_compiler=`set X $ac_compile; echo $2`
    { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
      (eval $ac_compiler --version </dev/null >&5) 2>&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
    
      (exit $ac_status); }
    
    { (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
      (eval $ac_compiler -v </dev/null >&5) 2>&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
    
      (exit $ac_status); }
    
    { (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
      (eval $ac_compiler -V </dev/null >&5) 2>&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
    
      (exit $ac_status); }
    
    cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    
    int
    main ()
    {
    
      ;
      return 0;
    }
    _ACEOF
    ac_clean_files_save=$ac_clean_files
    
    ac_clean_files="$ac_clean_files a.out a.exe b.out"
    
    # Try to create an executable without -o first, disregard a.out.
    # It will help us diagnose broken compilers, and finding out an intuition
    # of exeext.
    
    echo "$as_me:$LINENO: checking for C compiler default output file name" >&5
    echo $ECHO_N "checking for C compiler default output file name... $ECHO_C" >&6
    ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
    if { (eval echo "$as_me:$LINENO: \"$ac_link_default\"") >&5
      (eval $ac_link_default) 2>&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
    
      (exit $ac_status); }; then
    
      # Find the output, starting from the most likely.  This scheme is
    # not robust to junk in `.', hence go to wildcards (a.*) only as a last
    # resort.
    
    # Be careful to initialize this variable, since it used to be cached.
    # Otherwise an old cache value of `no' led to `EXEEXT = no' in a Makefile.
    ac_cv_exeext=
    # b.out is created by i960 compilers.
    for ac_file in a_out.exe a.exe conftest.exe a.out conftest a.* conftest.* b.out
    
    do
      test -f "$ac_file" || continue
      case $ac_file in
    
        *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.o | *.obj )
    	;;
        conftest.$ac_ext )
    	# This is the source file.
    
    	;;
        [ab].out )
    	# We found the default executable, but exeext='' is most
    	# certainly right.
    	break;;
        *.* )
    
    	ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
    	# FIXME: I believe we export ac_cv_exeext for Libtool,
    	# but it would be cool to find out if it's true.  Does anybody
    	# maintain Libtool? --akim.
    	export ac_cv_exeext
    
      echo "$as_me: failed program was:" >&5
    
    sed 's/^/| /' conftest.$ac_ext >&5
    
    
    { { echo "$as_me:$LINENO: error: C compiler cannot create executables
    
    See \`config.log' for more details." >&5
    
    echo "$as_me: error: C compiler cannot create executables
    
    See \`config.log' for more details." >&2;}
    
       { (exit 77); exit 77; }; }
    
    echo "$as_me:$LINENO: result: $ac_file" >&5
    echo "${ECHO_T}$ac_file" >&6
    
    # Check the compiler produces executables we can run.  If not, either
    
    # the compiler is broken, or we cross compile.
    
    echo "$as_me:$LINENO: checking whether the C compiler works" >&5
    echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6
    
    # FIXME: These cross compiler hacks should be removed for Autoconf 3.0
    # If not cross compiling, check that we can run a simple program.
    if test "$cross_compiling" != yes; then
      if { ac_try='./$ac_file'
    
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
    
      (exit $ac_status); }; }; then
        cross_compiling=no
      else
        if test "$cross_compiling" = maybe; then
    	cross_compiling=yes
        else
    
    	{ { echo "$as_me:$LINENO: error: cannot run C compiled programs.
    
    If you meant to cross compile, use \`--host'.
    See \`config.log' for more details." >&5
    
    echo "$as_me: error: cannot run C compiled programs.
    
    If you meant to cross compile, use \`--host'.
    See \`config.log' for more details." >&2;}
    
       { (exit 1); exit 1; }; }
    
    echo "$as_me:$LINENO: result: yes" >&5
    echo "${ECHO_T}yes" >&6
    
    rm -f a.out a.exe conftest$ac_cv_exeext b.out
    
    ac_clean_files=$ac_clean_files_save
    
    # Check the compiler produces executables we can run.  If not, either
    
    # the compiler is broken, or we cross compile.
    
    echo "$as_me:$LINENO: checking whether we are cross compiling" >&5
    echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6
    echo "$as_me:$LINENO: result: $cross_compiling" >&5
    echo "${ECHO_T}$cross_compiling" >&6
    
    echo "$as_me:$LINENO: checking for suffix of executables" >&5
    echo $ECHO_N "checking for suffix of executables... $ECHO_C" >&6
    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
      (eval $ac_link) 2>&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
    
      (exit $ac_status); }; then
      # If both `conftest.exe' and `conftest' are `present' (well, observable)
    # catch `conftest.exe'.  For instance with Cygwin, `ls conftest' will
    # work properly (i.e., refer to `conftest.exe'), while it won't with
    # `rm'.
    for ac_file in conftest.exe conftest conftest.*; do
      test -f "$ac_file" || continue
      case $ac_file in
    
        *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.o | *.obj ) ;;
    
        *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
    
    	  export ac_cv_exeext
    
      { { echo "$as_me:$LINENO: error: cannot compute suffix of executables: cannot compile and link
    
    See \`config.log' for more details." >&5
    
    echo "$as_me: error: cannot compute suffix of executables: cannot compile and link
    
    See \`config.log' for more details." >&2;}
    
       { (exit 1); exit 1; }; }
    
    fi
    
    rm -f conftest$ac_cv_exeext
    
    echo "$as_me:$LINENO: result: $ac_cv_exeext" >&5
    echo "${ECHO_T}$ac_cv_exeext" >&6
    
    
    rm -f conftest.$ac_ext
    EXEEXT=$ac_cv_exeext
    ac_exeext=$EXEEXT
    
    echo "$as_me:$LINENO: checking for suffix of object files" >&5
    echo $ECHO_N "checking for suffix of object files... $ECHO_C" >&6
    
    if test "${ac_cv_objext+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
    else
      cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    
    int
    main ()
    {
    
      ;
      return 0;
    }
    _ACEOF
    rm -f conftest.o conftest.obj
    
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
      (eval $ac_compile) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
    
      (exit $ac_status); }; then
    
      for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
    
        *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg ) ;;
    
        *) ac_cv_objext=`expr "$ac_file" : '.*\.\(.*\)'`
           break;;
      esac
    done
    else
    
      echo "$as_me: failed program was:" >&5
    
    sed 's/^/| /' conftest.$ac_ext >&5
    
    
    { { echo "$as_me:$LINENO: error: cannot compute suffix of object files: cannot compile
    
    See \`config.log' for more details." >&5
    
    echo "$as_me: error: cannot compute suffix of object files: cannot compile
    
    See \`config.log' for more details." >&2;}
    
       { (exit 1); exit 1; }; }
    
    fi
    
    rm -f conftest.$ac_cv_objext conftest.$ac_ext
    fi
    
    echo "$as_me:$LINENO: result: $ac_cv_objext" >&5
    echo "${ECHO_T}$ac_cv_objext" >&6
    
    OBJEXT=$ac_cv_objext
    ac_objext=$OBJEXT
    
    echo "$as_me:$LINENO: checking whether we are using the GNU C compiler" >&5
    echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
    
    if test "${ac_cv_c_compiler_gnu+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
    else
      cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    
    int
    main ()
    {
    #ifndef __GNUC__
           choke me
    #endif
    
      ;
      return 0;
    }
    _ACEOF
    rm -f conftest.$ac_objext
    
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
      (eval $ac_compile) 2>conftest.er1
    
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } &&
    	 { ac_try='test -z "$ac_c_werror_flag"
    			 || test ! -s conftest.err'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; } &&
    	 { ac_try='test -s conftest.$ac_objext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
      ac_status=$?
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
    
      ac_compiler_gnu=yes
    else
    
      echo "$as_me: failed program was:" >&5
    
    sed 's/^/| /' conftest.$ac_ext >&5
    
    
    ac_compiler_gnu=no
    
    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    
    ac_cv_c_compiler_gnu=$ac_compiler_gnu
    
    fi
    
    echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5
    echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
    GCC=`test $ac_compiler_gnu = yes && echo yes`
    
    ac_test_CFLAGS=${CFLAGS+set}
    ac_save_CFLAGS=$CFLAGS
    
    CFLAGS="-g"
    echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
    echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
    
    if test "${ac_cv_prog_cc_g+set}" = set; then
    
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
      cat >conftest.$ac_ext <<_ACEOF
    
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    
    int
    main ()
    {
    
      ;
      return 0;
    }
    _ACEOF
    rm -f conftest.$ac_objext
    
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
      (eval $ac_compile) 2>conftest.er1
    
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } &&
    	 { ac_try='test -z "$ac_c_werror_flag"
    			 || test ! -s conftest.err'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; } &&
    	 { ac_try='test -s conftest.$ac_objext'
      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
      (eval $ac_try) 2>&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); }; }; then
    
      ac_cv_prog_cc_g=yes
    else
    
      echo "$as_me: failed program was:" >&5
    
    sed 's/^/| /' conftest.$ac_ext >&5
    
    
    ac_cv_prog_cc_g=no
    
    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    
    echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5
    echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
    
    if test "$ac_test_CFLAGS" = set; then
      CFLAGS=$ac_save_CFLAGS
    elif test $ac_cv_prog_cc_g = yes; then
      if test "$GCC" = yes; then
        CFLAGS="-g -O2"
      else
        CFLAGS="-g"
      fi
    else
      if test "$GCC" = yes; then
        CFLAGS="-O2"
      else
        CFLAGS=
      fi
    fi
    
    echo "$as_me:$LINENO: checking for $CC option to accept ANSI C" >&5
    echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
    if test "${ac_cv_prog_cc_stdc+set}" = set; then
      echo $ECHO_N "(cached) $ECHO_C" >&6
    
      ac_cv_prog_cc_stdc=no
    
    ac_save_CC=$CC
    cat >conftest.$ac_ext <<_ACEOF
    /* confdefs.h.  */
    _ACEOF
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h.  */
    #include <stdarg.h>
    #include <stdio.h>
    #include <sys/types.h>
    #include <sys/stat.h>
    /* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
    struct buf { int x; };
    FILE * (*rcsopen) (struct buf *, struct stat *, int);
    static char *e (p, i)
         char **p;
         int i;
    {
      return p[i];
    }
    static char *f (char * (*g) (char **, int), char **p, ...)
    {
      char *s;
      va_list v;
      va_start (v,p);
      s = g (p, va_arg (v,int));
      va_end (v);
      return s;
    }
    
    /* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It has
       function prototypes and stuff, but not '\xHH' hex character constants.
       These don't provoke an error unfortunately, instead are silently treated
    
       as 'x'.  The following induces an error, until -std1 is added to get
    
       proper ANSI mode.  Curiously '\x00'!='x' always comes out true, for an
       array size at least.  It's necessary to write '\x00'==0 to get something
    
       that's true only with -std1.  */
    
    int osf4_cc_array ['\x00' == 0 ? 1 : -1];
    
    int test (int i, double x);
    struct s1 {int (*f) (int a);};
    struct s2 {int (*f) (double a);};
    int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
    int argc;
    char **argv;
    int
    main ()
    {
    return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
      ;
      return 0;
    }
    _ACEOF
    
    # Don't try gcc -ansi; that turns off useful extensions and
    # breaks some systems' header files.
    # AIX			-qlanglvl=ansi
    # Ultrix and OSF/1	-std1
    # HP-UX 10.20 and later	-Ae
    # HP-UX older versions	-Aa -D_HPUX_SOURCE
    # SVR4			-Xc -D__EXTENSIONS__
    for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
    
    do
      CC="$ac_save_CC $ac_arg"
      rm -f conftest.$ac_objext
    
    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
      (eval $ac_compile) 2>conftest.er1
    
      ac_status=$?
      grep -v '^ *+' conftest.er1 >conftest.err
      rm -f conftest.er1
      cat conftest.err >&5
    
      echo "$as_me:$LINENO: \$? = $ac_status" >&5
      (exit $ac_status); } &&
    	 { ac_try='test -z "$ac_c_werror_flag"